<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE companies (
            id			  BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
            name		  TEXT NOT NULL UNIQUE,

            created_at	  TIMESTAMP NOT NULL DEFAULT NOW(),
            updated_at	  TIMESTAMP NOT NULL DEFAULT NOW(),
            deleted_at    TIMESTAMP
            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('companies');
    }
};
